{% load i18n static %}
{% get_current_language as LANGUAGE_CODE %}{% get_current_language_bidi as LANGUAGE_BIDI %}

<footer class="text-primary mt-lg-auto">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-2 col-lg-1">
                <span class="text-muted mr-1">
                    <a target="_blank" href="mailto:&#99;&#111;&#110;&#116;&#97;&#99;&#116;&#64;&#116;&#102;&#106;&#109;&#46;&#111;&#114;&#103;"
                       class="text-muted"><i class="fas fa-envelope"></i> {% trans "Contact us" %}</a>
                </span>
            </div>
            <div class="col-sm-2 col-lg-1">
                <form action="{% url 'set_language' %}" method="post"
                      class="form-inline">
                    {% csrf_token %}
                    <select title="language" name="language"
                            class="form-control form-control-sm language"
                            onchange="this.form.submit()">
                        {% get_current_language as LANGUAGE_CODE %}
                        {% get_available_languages as LANGUAGES %}
                        {% for lang_code, lang_name in LANGUAGES %}
                            <option value="{{ lang_code }}"
                                    {% if lang_code == LANGUAGE_CODE %}
                                    selected{% endif %}>
                                {{ lang_name }} ({{ lang_code }})
                            </option>
                        {% endfor %}
                    </select> &nbsp;
                    <noscript>
                        <input type="submit">
                    </noscript>
                </form>
            </div>
            <div class="col-sm-7 col-lg-9">

                    <a target="_blank" class="text-muted" href="{% url "about" %}">{% trans "About" %}</a> &nbsp; &mdash; &nbsp;
                    <a target="_blank" class="text-muted" href="/doc/">Documentation</a> &nbsp; &mdash; &nbsp;
                    <a target="_blank" class="text-muted"
                       href="https://gitlab.com/animath/si/plateforme-tfjm">
                        <i class="fab fa-gitlab"></i>
                    </a>
            </div>
            <div class="col-sm-1 text-sm-end">
                <a href="#" class="text-muted">
                    <i class="fa fa-arrow-up" aria-hidden="true"></i>
                </a>
            </div>
        </div>
    </div>
</footer>